updateFormDraft
PATCH
/api/v1/data-sources/{id}/form/draft
const url = 'https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/form/draft';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"schema":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/form/draft \ --header 'Content-Type: application/json' \ --data '{ "schema": {} }'Replaces the editable draft schema without publishing. Existing submissions are untouched. Requires the manage capability.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
schema
required
object
key
additional properties
any
Examplegenerated
{ "schema": {}}Responses
Section titled “ Responses ”Refreshed Form detail with the saved draft
Manage capability required
Draft schema rejected